/* C++ container class lib */!!

inherit(ProvidedLibs, #TclassLib, nil, 2, nil)!!

now(class(TclassLib))!!

/* semiPRIVATE -- should only be called via require(TclassLib)
   Define entry points and load library.  Define any structs required.
*/
Def provide(self, path)
{
  ^initialise( new(self:ancestor), path )
}!!

now(TclassLib)!!

/* PRIVATE
   Define all entry points for library as prototypes.
*/
Def addImportProcs(self)
{
}!!